
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浅谈java异常处理(父子异常的处理)_java / iVAN</title>

    <meta name="description" content="浅谈java异常处理(父子异常的处理)_java 我当初学java异常处理的时候,对于父子异常的处理,我记得几句话&quot;子类方法只能抛出父类方法所抛出的异常或者是其子异常,子类构造器必须要抛出父类构造器的异常或者其父异常&quot;.那个时候还不知道子类方法为什么要这样子抛出异常,后来通过学习&lt;Thinking in Java&gt;,我才明白其中的道理,现在我再来温习一下. 一.子类方法只能抛出父类方法的异常或者是其子异常 对于这种限制,主要是因为子类在做向上转型的时候,不能正确地捕获异常 package thinkinginja ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">浅谈java异常处理(父子异常的处理)_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我当初学java异常处理的时候，对于父子异常的处理，我记得几句话“子类方法只能抛出父类方法所抛出的异常或者是其子异常，子类构造器必须要抛出父类构造器的异常或者其父异常”。那个时候还不知道子类方法为什么要这样子抛出异常，后来通过学习《Thinking in Java》，我才明白其中的道理，现在我再来温习一下。</p>
<p><strong>一、子类方法只能抛出父类方法的异常或者是其子异常</strong></p>
<p>对于这种限制，主要是因为子类在做向上转型的时候，不能正确地捕获异常</p>
<pre>
package thinkinginjava;

public abstract class InningDemo1 {
  public void walk() throws BaseException{}
  public abstract void sing() throws BaseException;
}

class BaseException extends Exception{}
class SubException1 extends BaseException{}
class CupException extends Exception{}</pre>
<pre>
package thinkinginjava;

public interface OtherFunction {
  public void task() throws RuntimeException;
} </pre>
<pre>
package thinkinginjava;

public class SubInningDemo1 extends InningDemo1 implements OtherFunction{
  //子类方法可以抛出父类方法的异常
  @Override
  public void walk() throws BaseException{}

  //但不能抛出父类中没有的异常,否则编译会出错
  //public void walk() throws Exception{}

  //子类方法可以抛出父类方法的子异常
  @Override
  public void sing() throws SubException1{}

  //当实现的接口和父类中的方法都有异常时，可以选择不抛出异常
  public void task(){}

}</pre>
<p>就拿这个例子来说，假如子类中有这方法 public void walk() throws CupException{}，抛出了父类方法没有的异常，我们使用父类的引用指向子类</p>
<pre>
public void f(){

　　　　InningDemo1 inn = new SubInningDemo1();

　　　　inn.walk() ;//父类调用walk()方法时，并不知道它会抛出CupException，从而f()方法不知如何捕获异常。因此在编译期就要防止子类方法乱抛异常。

　　}</pre>
<p>从上面的例子中，我们也可以看到，子类方法可以不抛出异常</p>
<p><strong>二、子类构造器必须要抛出父类构造器的异常或者其父异常</strong></p>
<p>这是因为子类构造器中默认添加了父类的构造器</p>
<pre>
package thinkinginjava;

public abstract class InningDemo2 {
  public InningDemo2() throws SubException{

  }
}

class FatherException extends Exception{}
class SubException extends FatherException{}
class PenException extends Exception{}</pre>
<pre>
package thinkinginjava;

public class SubInningDemo2 extends InningDemo2{
  public SubInningDemo2() throws FatherException {
    //子类构造器中默认添加了父类的构造器，所以需要抛出父类的异常或者其父异常
    //super();
  }
}</pre>
<p><strong>三、异常丢失</strong></p>
<p>1、在finally中抛出异常，可能会之前抛出的异常丢失</p>
<pre>
package thinkinginjava;

public class FinallyException {
  public static void main(String[] args){
    try{
      try{
        throw new RedException();
      }finally{
        //把上一个异常覆盖掉
        throw new BlueException();
      }
    }catch(Exception e){
      System.out.println(e);
    }
  }
}

class RedException extends Exception{}
class BlueException extends Exception{}</pre>
<p>运行结果：thinkinginjava.BlueException</p>
<p>2、在finally中使用return，不会抛出异常</p>
<pre>
package thinkinginjava;

public class ReturnException {
  public static void main(String[] args){
    try{
      throw new Exception();
    }finally{
      return;
    }
  }
}</pre>
<p>以上代码我们看到它抛出了异常，但运行时不会有任何输出</p>
<p>以上这篇浅谈java异常处理(父子异常的处理)就是小编分享给大家的全部内容了，希望能给大家一个参考，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                                    异常处理<br />
                                    java 异常处理、java异常处理机制、java的异常处理机制、java异常处理原则、java中异常处理机制，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 03:24:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e5%bc%82%e5%b8%b8%e5%a4%84%e7%90%86/" title="异常处理">异常处理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>浅谈java异常处理(父子异常的处理)_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEjmjp.html" rel="bookmark">浅谈java异常处理之空指针异常&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				听老师说,在以后的学习中大部分的异常都是空指针异常.所以抽点打游戏的时间来查询一下什么是空指针异常 一:空指针异常产生的主要原因如下: (1)当一个对象不存在时又调用其方法会产生异常obj.method() // obj对象不存在 (2)当访问或修改一个对象不存在的字段时会产生异常obj.method() // method方法不存在 (3)字符串变量未初始化: (4)接口类型的对象没有用具体的类初始化,比如: List lt:会报错 List lt = new ArrayList():则不会报			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGvD7b.html" rel="bookmark">浅谈Java 对于继承的初级理解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概念:继承,是指一个类的定义可以基于另外一个已存在的类,即子类继承父类,从而实现父类的代码的重用.两个类的关系:父类一般具有各个子类共性的特征,而子类可以增加一些更具个性的方法.类的继承具有传递性,即子类还可以继续派生子类,位于上层的类概念更加抽象,位于下层的类的概念更加具体. 1.定义子类: 语法格式 [修饰符] class 子类名 extends 父类名{ 子类体 } 修饰符:public private protected default 子类体是子类在继承父类的内容基础上添加的新的特有内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZnAob.html" rel="bookmark">浅谈Java中强制类型转换的问题&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了更好的理解我们先看下面的例子: package com.yonyou.test; import java.util.ArrayList; import java.util.Iterator; import java.util.List; /** * 测试类 * @author * @创建日期 2016-5-31 */ public class Test{ public static void main(String[] args) { List&lt;String&gt; list=new Array			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXxrmp.html" rel="bookmark">浅谈Java中的异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  作为一个面向对象编程的程序员对于 下面的一句一定非常熟悉: 复制代码 try { // 代码块 } catch(Exception e) { // 异常处理 } finally { // 清理工作 } 复制代码 就是面向对象中最最常见的异常处理程序,而且甚至我们会莫名其妙的被编译器要求加上这个模块,甚至我们自己也不知道捕捉到异常该怎么处理... 为什么要有异常 其实这个问题不用多说,程序员都知道,简单总结为一句话:就是为了增强程序健壮性呗,比如下面的代码: Class Denominator			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJw0wqb.html" rel="bookmark">浅谈java中的访问修饰符&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. public:所有类都可以访问 protected:所有子类和同包下的类都可以访问 缺省:同包类都可以访问 private:类本身才可以访问 注意点:protected修饰类属性时,例如 复制代码 代码如下: package Parent; public class Parent{     protected int i=5; } package Son; public class Son extends Parent{     public static void main(String			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAr5aep.html" rel="bookmark">浅谈java异常链与异常丢失&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.在java的构造方法中提供了 异常链.. 也就是我们可以通过构造方法不断的将 异常串联成一个异常链...   之所以需要异常连,是因为处于代码的可理解性,以及阅读和程序的可维护性...  我们知道我们每抛出一个异常都需要进行try catch ...那么岂不是代码很臃肿... 我们如果可以将异常串联成一个异常连,然后我们只捕获我们的包装 异常,我们知道 RuntimeException 以及其派生类可以不进行try catch 而被jvm自动捕获并处理.. 当然了我们可以自己定义自己的异常类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLa64kz.html" rel="bookmark">浅谈java中异步多线程超时导致的服务异常&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在项目中为了提高大并发量时的性能稳定性,经常会使用到线程池来做多线程异步操作,多线程有2种,一种是实现runnable接口,这种没有返回值,一种是实现Callable接口,这种有返回值. 当其中一个线程超时的时候,理论上应该不 影响其他线程的执行结果,但是在项目中出现的问题表明一个线程阻塞,其他线程返回的接口都为空.其实是个很简单的问题,但是由于第一次碰到,还是想了一些时间的.很简单,就是因为阻塞的那个线 程没有释放,并发量一大,线程池数量就满了,所以其他线程都处于等待状态. 附上一段自己写的调			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxElDOp.html" rel="bookmark">浅谈java泛型的作用及其基本概念&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.泛型的基本概念 java与c#一样,都存在泛型的概念,及类型的参数化.java中的泛型是在jdk5.0后出现的,但是java中的泛型与C#中的泛型是有本质区别的,首先从集合类型上来说,java 中的ArrayList&lt;Integer&gt;和ArrayList&lt;String&gt;是同一个类型,在编译时会执行类型擦除,及java中的类型是伪泛型,伪泛型将会在后面介绍,其次,对于像集合中添加基本类型的数据时,例如int,会首先将int转化成Integer对象,即我们通常所说的装箱操作,在取出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0rwNp.html" rel="bookmark">浅谈Java中常用数据结构的实现类 Collection和Map&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				线性表,链表,哈希表是常用的数据结构,在进行Java开发时,JDK已经为我们提供了一系列相应的类来实现基本的数据结构.这些类均在java.util包中.本文试图通过简单的描述,向读者阐述各个类的作用以及如何正确使用这些类. Collection ├List │├LinkedList │├ArrayList │└Vector │ └Stack └Set Map ├Hashtable ├HashMap └WeakHashMap Collection接口 Collection是最基本的集合接口,一个C			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOlDxb.html" rel="bookmark" class="title">12款PC浏览器半年评选</a>
					<div>
						  普通PC用户上网冲浪,看新闻.资讯,甚至看视频.打游戏的过程,都需要使用到浏览器.PC浏览器从当初的单一性质的浏览网页的工具,现在已经成为了一个 普通用户娱乐消遣.增长知识.接触外界信息的综合综合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmdWBM.html" rel="bookmark" class="title">怎样一步一步学习web标准？</a>
					<div>
						web|web标准  很多经典论坛网页标准化版的版友问这个问题,我想每一个刚刚接触web标准的人都会问这样的问题,我就根据自己的经验总结. Step 1.不要一味使用DW等工具设计网页,去熟悉(X)H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zePk0p.html" rel="bookmark" class="title">XML轻松学习手册（7）</a>
					<div>
						xml 第六章:XML相关资源 一. XML的大本营 XML是由W3C(World Wide Web Consortium)国际组织负责开发和制定标准的.关于XML最权威,最新的消息都来自W3C.网址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4lkYz.html" rel="bookmark" class="title">C&num;中Delegate浅析</a>
					<div>
						1. 什么是托管函数 托管函数是一个对类里面的某个函数的一个引用.它自己并没有具体的函数定义,只是指向某个函数实现. 2. 与C++, Delphi的横向比较 在C++和Delphi中与托管函数对应的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElO96z.html" rel="bookmark" class="title">JavaFX学习曲线日记-1：探索JavaFX脚本</a>
					<div>
						本文由SDN全职作者兼开发者John O'Conner编写,文中坦 率地记录了他在学习JavaFX脚本语言过程中的经历.本学习曲线日记系列将致力于介绍 JavaFX技术并指导初学者开始使用它. Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7lanM.html" rel="bookmark" class="title">判断Wrapper Service注册的服务是否启动</a>
					<div>
						在我以前的一篇文章中介绍了使用Apache Wrapper Service这个工具将Java程序注册成操作系统的服务,如果你采用&quot;实现WrapperListener这个接口并结合wrappe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyA7qb.html" rel="bookmark" class="title">Flash片头加载loading的方法</a>
					<div>
						做一个优秀的loading是衡量一个flasher水准.甚至态度的,因为loading是唯一一个你不会多看而所有用户.客户会看的东西,所以你对loading的重视程度,甚至可以反衬你这个flasher ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj7qep.html" rel="bookmark" class="title">Win7系统下无法删除百度浏览器怎么办？</a>
					<div>
						  Win7系统下无法删除百度浏览器怎么办? 1.首先下载&quot;Total-Uninstall&quot;; 2.下载好之后在压缩包上单击右键,选择&quot;解压到Total-Uninstal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYPEkM.html" rel="bookmark" class="title">huhamhire-hosts更新谷歌Hosts步骤</a>
					<div>
						  1.点击服务器,选择除Google Code之外的任意一个.连接显示为绿色&quot;正常&quot;才能进行下一步操作. 2.点击右边的下载按钮. 3.底部进度条显示&quot;下载完成&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkjKab.html" rel="bookmark" class="title">新浪微博应用广场积分是做什么用的？</a>
					<div>
						  1.应用广场积分用于应用达人榜抢位置,用户可以通过这个达人榜涨粉丝. 2.获得积分:进入应用广场签到.完成每日任务均可获得积分.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8vmDp.html" rel="bookmark" class="title">Mac OS X Mavericks系统的新特性</a>
					<div>
						  苹果公司正式发布了全新的桌面操作系统Mac OS X Mavericks,并且完全免费,令人十分惊喜.苹果公司表示,Mac OS X Mavericks拥有更强的性能.更好的电池表现,同时还增强了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArPVKp.html" rel="bookmark" class="title">显示桌面图标不见了如何恢复</a>
					<div>
						  第一种方法:新建文档 在桌面,鼠标右键--&gt;新建一个文本文档,如图. 然后打开文档,在文档输入一下内容:&quot; [Shell] Command=2 IconFile=explorer. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmaX8z.html" rel="bookmark" class="title">关于INDEX SERVER&plus;ASP建立查询引擎的一点心得</a>
					<div>
						    说起INDEX SERVER,我自己本来用的也不多,不过前两天公司要做一个INDEX的搜索,我从网上找了好多的资料,仔细分析了以后自己启动了索引服务,并进行了ASP程序的设计,第一天程序运行正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NN6rM.html" rel="bookmark" class="title">王卫的态度：顺丰优选是一个不能失败的项目</a>
					<div>
						顺丰优选,嘴里含着金钥匙,是名副其实的高富帅,然而,一路走来并非顺风顺雨,倒是历经波折.电商这条路对顺丰来说才刚刚启程,未来不可预测且路漫漫其修远. 先看&quot;顺丰优选&quot;的成长轨迹:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqNOab.html" rel="bookmark" class="title">蚂蚁金服CTO程立：技术的价值与意义，在我看来是这样的</a>
					<div>
						不同的技术人对于技术的价值与意义都会有不同的看法.可能有些人对于这种&quot;虚&quot;的话题嗤之以鼻,但那些「庖丁解牛,几近于道」的阐述,确能引发读者的深思.本文是蚂蚁金服 CTO 程立的一家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NWBqz.html" rel="bookmark" class="title">Android学习笔记&lpar;11&rpar;&colon;线性布局LinearLayout</a>
					<div>
						线性布局LinearLayout是指在横向或是竖向一个接一个地排列,当排列的组件超出屏幕后,超出的组件将不会再显示出来. LinearLayout支持的XML属性和对应方法如表所示: Attribut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW238Ab.html" rel="bookmark" class="title">android小白问一个故障</a>
					<div>
						问题描述 android小白问一个故障 android小白,做一个很简单的动作,第一个activity里面输入的内容传递到第二个activity的textview中去,但是报错如下 Caused by ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32BEmz.html" rel="bookmark" class="title">异步通过省加载城市-将一个List集合转成JSONObject报错：</a>
					<div>
						问题描述 将一个List集合转成JSONObject报错: 各位大神,我要异步通过省加载城市,可是转json的时候就报错了public String getCitys(){ List&lt;City& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0DRmM.html" rel="bookmark" class="title">游戏编程-如何设计一个算法求coinfilp游戏中的最佳步骤呢？</a>
					<div>
						问题描述 如何设计一个算法求coinfilp游戏中的最佳步骤呢? 就是那个cocos2dx示例中的翻硬币游戏.规则如下: 1.有NxM的格子,N和M都是可变的,每个格子有一个硬币,有正反两面. 2.当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeg6Xb.html" rel="bookmark" class="title">PHP请求远程地址设置超时时间的解决方法&lowbar;php技巧</a>
					<div>
						php请求远程地址设置超时时间,主要讲解file_get_contents.fopen.curl这三个简单常用函数设置超时时间的方法,一般情况下建议使用curl,性能最好,效率也最高. 1.file_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeRAOb.html" rel="bookmark" class="title">从太平洋保险DCOS实践看企业IT架构演变</a>
					<div>
						ZD至顶网服务器频道 03月23日 新闻消息: 随着云计算的快速普及,传统企业越来越关注基于云计算的下一代IT架构变革了.回顾企业IT架构演进历史,主要经历了&quot;传统孤岛&quot;.&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqyRqp.html" rel="bookmark" class="title">TSharding：用于蘑菇街交易平台的分库分表组件</a>
					<div>
						  tsharding TSharding is the simple sharding component used in mogujie trade platform. 分库分表业界方案 分库分表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7QW4b.html" rel="bookmark" class="title">php文件上传 你真的掌握了吗&lowbar;php技巧</a>
					<div>
						这里首先声明一下这一章的内容比较多,比较难,你要抱着和自己死磕的态度.细微之处不放过,多敲多练是王道. 学习就像爬山,得一步一步来,首先给自己定一个小目标,然后再坚持不懈地往高出攀爬,最终到达最顶峰. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NX80z.html" rel="bookmark" class="title">JS随机洗牌算法之数组随机排序&lowbar;javascript技巧</a>
					<div>
						推荐阅读:JavaScript学习笔记之数组的增.删.改.查 JavaScript学习笔记之数组求和方法 JavaScript学习笔记之数组随机排序 洗牌算法是一个比较形象的术语,本质上让一个数组内的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdjO5p.html" rel="bookmark" class="title">PDMS Automatic Pipe Routing</a>
					<div>
						PDMS Automatic Pipe Routing eryar@163.com Abstract. AVEVA PDMS Pipe Router is a rule-based tool whic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YYGJp.html" rel="bookmark" class="title">苹果新专利：利用电子设备自行绘制3D街景</a>
					<div>
						1月8日,科技网站VentureBeat报道称,美国专利商标局授予苹果一项新专利,该专利可以利用电子设备绘制某个区域或物体的三维模型.专利显示,电子设备内置动作 传感器,可跟踪运动轨迹和视角变化,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqL5Pb.html" rel="bookmark" class="title">group&lowbar;concat长度限制问题</a>
					<div>
						研发今天说group_concat函数导致结果显示不全. group_concat作用:group_concat()函数,对查询的数据进行字符串连接操作. 默认group_concat的值为1024  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP973p.html" rel="bookmark" class="title">C&plus;&plus; 嵌套类使用（一）</a>
					<div>
						一.嵌套类      在一个类的内部定义另一个类,我们称之为嵌套类(nested class),或者嵌套类型.之所以引入这样一个嵌套类,往往是因为外围类需要使用嵌套类对象作为底层实现,并且该嵌套类只用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YaxBz.html" rel="bookmark" class="title">php修改文件名函数</a>
					<div>
						 代码如下 复制代码 &lt;?php session_start(); if($submit==&quot;提交&quot;){ if (file_exists( $old_name)){ if ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1qAEM.html" rel="bookmark" class="title">秋扇见弃张汝京</a>
					<div>
						张汝京离开了,但时机很微妙,他在中国半导体产业发展中的角色刚刚扮演完毕,他的中芯国际即将盈利. 2009年11月是中国半导体产业剧烈震荡的一月,重磅消息层出不穷. 11月3日,中芯国际在与台积电的侵犯 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
